package de.deversmann;


import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.Duration;
import java.util.Date;

public class Parkhaus {

    SimpleDateFormat simpleDateFormat = new SimpleDateFormat("dd.MM.yyyy, HH:mm");
    private boolean geöffnet;
    private int anzahlParkplätze;

    private int parkdauer;

    private int belegteParkplätze;
    private double kosten;
    private double ticketPreis;
    private double maxTagessatz;
    private final int geöffnetAb = 6;
    private final int geschlossenAb = 22;

    public boolean isGeöffnet() {


        return geöffnet;
    }

    public void setGeöffnet(boolean geöffnet) {
        this.geöffnet = geöffnet;
    }

    public int getAnzahlParkplätze() {
        return anzahlParkplätze;
    }

    public void setAnzahlParkplätze(int anzahlParkplätze) {
        this.anzahlParkplätze = anzahlParkplätze;
    }

    public double getKosten() {
        return kosten;
    }

    public void setKosten(double kosten) {
        this.kosten = kosten;
    }

    public double getTicketPreis() {
        return ticketPreis;
    }

    public void setTicketPreis(double ticketPreis) {
        this.ticketPreis = ticketPreis;
    }

    public double getMaxTagessatz() {
        return maxTagessatz;
    }

    public void setMaxTagessatz(double maxTagessatz) {
        this.maxTagessatz = maxTagessatz;
    }

    public int getBelegteParkplätze() {
        return belegteParkplätze;
    }

    public void setBelegteParkplätze(int belegteParkplätze) {
        this.belegteParkplätze = belegteParkplätze;
    }


    public String berechneParkdauer(String einfahrtZeit, String ausfahrZeit){
        String dauer = "";
        try {
            Date einfahrtZeitDate = simpleDateFormat.parse(einfahrtZeit);
            Date ausfahrZeitDate = simpleDateFormat.parse(ausfahrZeit);
            Duration duration = Duration.ofMillis(Math.abs(ausfahrZeitDate.getTime()-einfahrtZeitDate.getTime()));
            long days = duration.toDays();
            long hours = duration.toHours() % 24;
            long minutes = duration.toMinutes() % 60;
            dauer = "Parkdauer:" +  days + " Tage " + hours + " Stunden " + minutes + " Minuten ";
        } catch (ParseException e) {
            System.out.println("Fehler beim Parsen der Daten"+ e.getMessage());
        }

        return dauer;
    }
}

